<?php 
namespace WCQT\classes\com;

class Page
{
	public function __construct()
	{
		
	}
	public function get_pages_list()
	{
		return get_pages();
	}
	public function create_quote_request_page()
	{
		global $wcqt_option_model;
		
		$post_details = array(
			  'post_title'    => esc_html__('Quote request', 'woocommerce-quote'),
			  'post_content'  => '[wcqt_request_quote]',
			  'post_status'   => 'publish',
			  'post_type' => 'page'
			   );
		$id =  wp_insert_post( $post_details );
		
		$wcqt_option_model->update_quote_request_page($id);
	}
}
?>